function checkAll(mode)
{
	var arrCheck = document.getElementsByTagName('input');
	for(i=0; i<arrCheck.length; i++)
	{
		if(arrCheck[i].type == 'checkbox')
		{
			if(mode)
				arrCheck[i].checked = true;
			else
				arrCheck[i].checked = false;
			changeRowClass(arrCheck[i].parentNode.parentNode, arrCheck[i].checked);
		}
	}
}
function rowClick()
{
	tr = document.getElementsByTagName('tr');
	for(i=0; i<tr.length; i++)
	{
		if(tr[i].className == 'odd' || tr[i].className == 'even')
		{
			td = tr[i].getElementsByTagName('td');
			
			for(j=0; j<td.length; j++)
			{
				td[j].onmousedown = function()
				{
					tr = this.parentNode;
					check = tr.getElementsByTagName('input')[0];
					check.checked = (!check.checked);
					changeRowClass(tr, check.checked);
				}
			}
			check = tr[i].getElementsByTagName('input')[0];
			check.onclick = function()
				{
					this.checked = !this.checked;
				}
		}
	}
}
function changeRowClass(row, checked)
{
	//alert(row.className);
	if(checked)
	{
		row.className+= ' marked';
	}
	else
	{
		row.className = row.className.replace(/ marked/g, '');
	}
}

function selectInput(tag)
{
	var arrInput = document.getElementsByTagName(tag);
	for(i=0; i<arrInput.length; i++)
	{
		if( (tag == 'input' && arrInput[i].type == 'text') || tag == 'textarea')
		{
			arrInput[i].onfocus = function()
			{
				this.style.background = '#e7f0fc';
				this.style.border = '1px solid #7f9db9';
				this.style.paddingTop = '2px';
				this.style.paddingBottom = '2px';
				this.style.paddingLeft = '2px';
			}
			arrInput[i].onblur = function()
			{
				this.style.background = 'white';
			}
		}
	}
}
function setButtonStyle()//Thiet lap style cho cac button kieu input
{
	var arr = document.getElementsByTagName('input');
	for(i=0; i<arr.length; i++)
	{
		if(arr[i].type == 'submit' || arr[i].type == 'reset' || arr[i].type == 'button') arr[i].className = 'input-button';
	}
}
function onloaded()
{
	rowClick();
	setButtonStyle();
	selectInput('input');
	selectInput('textarea');
}
window.onload = onloaded;

function getArrCheck()
{
	var _return = '';
	var arrCheck = document.getElementsByTagName('input');
	for(i=0; i<arrCheck.length; i++)
	{
		if(arrCheck[i].id == 'Check' && arrCheck[i].type == 'checkbox' && arrCheck[i].checked) _return+=arrCheck[i].value + '_';
	}
	return _return;
}
function deletes(url, msg)
{
	st = getArrCheck();
	//alert(st);
	if(st == '')
	{
		alert('Chưa có mẩu tin nào được chọn để xóa');
		return false;
	}
	if(!confirm(msg)) return false;
	window.location = url + '/' + st;
}
function edit(url)
{
	st = getArrCheck();
	if(st == '')
	{
		alert('Chưa có mẩu tin nào được chọn');
		return false;
	}
	window.location = url + '/' + st;
}
function form_auto_submit(url, arr)
{
	var aForm = document.createElement('form');
	aForm.style.display = 'none';
	aForm.method = 'post';
	aForm.action = url;
	
	for(i=0; i<arr.length; i++)
	{
		var input = document.createElement('input');
		input.type = 'hidden';
		input.name = arr[i][0];
		input.value = arr[i][1];
		aForm.appendChild(input);
	}
	document.body.appendChild(aForm);
	aForm.submit();
}
function setOrder(url)
{
	var arrOrderInput = document.getElementsByTagName('input');
	var st = '';
	for(i=0; i<arrOrderInput.length; i++)
	{
		if(arrOrderInput[i].type == "text" && arrOrderInput[i].className == "order_input")
		{
			if(arrOrderInput[i].title != parseInt(arrOrderInput[i].value, 10))
			{
				st+=arrOrderInput[i].id + '.' + parseInt(arrOrderInput[i].value, 10) + '_';
			}
		}
	}
	form_auto_submit(url, Array(Array('sort', st)));
}
//Các hàm hỗ trợ

function in_array(v, ar)
{
	//alert(ar.length);
	for(i=0; i<ar.length; i++)
	{
		if(ar[i] == v) return true;	
	}
	return false;
}

// JavaScript Document
function isPhone(PhoneNumber)
		{
			var filter  = /^([0-9])+$/;
			if (filter.test(PhoneNumber) && PhoneNumber.length > 8)
				return true;
			else
				return false;
		}
function isEmail(sEmail)
		{
			var filter  = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9_\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
			if (filter.test(sEmail))
				return true;
			else
				return false;
		}


function ltrim ( s )
{
return s.replace( /^\s*/, "" );
}
//Right Trim
function rtrim ( s )
{
return s.replace( /\s*$/, "" );
}
//Trim
function trim ( s )
{
return rtrim(ltrim(s));
}
