<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');
class Root extends Controller
{
	function Root()
	{
		parent::Controller();
		$this->load->helper('url');
		$this->load->helper('modules');
		$this->load->helper('common');
		
		$this->load->library('session');

		$this->load->database();
		
		$this->load->model('user_config_model');
	}
	function _remap()
	{
		$html = false;
		$param = $this->uri->segment(1);
		$this->config->set_item('language', $this->user_config_model->get('language_default'));
		$this->config->set_item('page_title', $this->user_config_model->get('site_title'));
		if($param == "admin")//Dành cho trang quản trị
		{
			$this->load->model('sys_user_model');
			
			$this->load->library('validation');
			
			$param = $this->uri->segment(2);
			//echo $param;
			if($param == 'login')
			{
				$html = modules::run('admin/login_mod');
			}
			else if($param == 'logout')
			{
				redirect($this->uri->level(1).'/login');
			}
			else if($param == 'forgotpass')
			{
				$html = modules::run('admin/forgotpass_mod');
			}
			else 
			{
				modules::run('admin/check_login_mod');
				$mainContent = false;
				if($this->uri->segment(2) == "user")
					$mainContent = modules::run('admin/user_mod');
				else if($this->uri->segment(2) == "setting")
					$mainContent = modules::run('config/config_mod');
				else if($this->uri->segment(2) == "gallery")
					$mainContent = modules::run('gallery/admin_gallery_mod');
				else if($param == 'changepass')
					$mainContent = modules::run('admin/changepass_mod');
				else
					redirect('admin/gallery');
				
				$menu = modules::run('admin/load_menu_mod');
				$top = modules::run('admin/top_mod');
				$html = $this->load->view('admin_index', array('mainContent' => $mainContent, 'top' => $top, 'menu' => $menu), true);
			}		
		}
		else//Phần này dành cho trang bên ngoài
		{
			if($param == "home")
			{
				modules::run('gallery/user_gallery_ajax_mod');
			}
			else if($param == "flash-gallery")
			{
				modules::run('gallery/user_gallery_flash_mod');
			}
			else
			{
				$skin = $this->user_config_model->get('skin_default');
				if($skin == "home") redirect("home");
				if($skin == "random")
				{
					$skin_array = array('home', 'emageview', 'nice', 'media', 'style_1', 'style_2', 'style_3', 'style_4', 'style_5', 'style_6', 'style_7', 'style_8');
					$num = rand(0, count($skin_array) - 1);
					if($num == 0)
						redirect($skin_array[$num]);
					else
						redirect('flash-gallery/'.$skin_array[$num]);
				}
				redirect('flash-gallery/'.$skin);
			}
		}
		$this->output->set_output($html);
	}
}
?>