<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');
class User_config_model extends Model
{
	function User_config_model()
	{
		parent::Model();
	}
	function insert($key, $value)
	{
		if($this->checkExists($key))
		{
			$this->update($key, $value);
			return 0;
		}
		$this->db->set('key', $key);
		$this->db->set('value', $value);
		$this->db->insert('user_config');
		return $this->db->insert_id();
	}
	function update($key, $value)
	{
		$this->db->set('key', $key);
		$this->db->set('value', $value);
		$this->db->where('key', $key);
		$this->db->update('user_config');	
	}
	function checkExists($key)
	{
		$this->db->select('id');
		$this->db->from('user_config');
		$this->db->where('key', $key);
		$query = $this->db->get();
		if($query->num_rows() == 0) return false;
		$query->free_result();
		return true;
	}
	function delete($key)
	{
		$this->db->where('key', $key);
		$this->db->delete('user_config');
	}
	function get($key)
	{
		$this->db->select('value');
		$this->db->from('user_config');
		$this->db->where('key', $key);
		$query = $this->db->get();
		if($query->num_rows() == 0) return false;
		$row = $query->row();
		$query->free_result();
		return $row->value;
	}
}
?>