/*
	suicidegirls.com
	
	file: 			/js/gallery.js
	description:	gallery functions
	
*/


/************** FLASH GALLERY ****************/


var Gallery = {
    init: function() {
        var frame = document.getElementById("frame");
        frame.onmouseout = function() {
            var gallery = Gallery.getSwf("gallery")
            if(gallery.onmouseout) gallery.onmouseout();
        }
    },
    open: function(href) {
        window.opener.location.href = href;
        window.opener.focus();
    },
    getSwf: function(name) {
        return (navigator.appName.indexOf("Microsoft") != -1) ? window[name] : document[name];
    }
};


/************** HTML GALLERY *****************/


//AJAX Handler
function processReqChange() {
	// only if req shows "loaded"
	if (req.readyState == 4) {
		// only if "OK"
		if (req.status == 200) {
			if (reqident == 1) { handleAddToFavs(); }
			if (reqident == 2) { handleThumbPages(); }
		}
	}
}


function handleThumbPages(){
	closeThumbs = false;
	var code = getElementTextNS('pics',req.responseXML,0);
	var parent = document.getElementById('thumbsHolder');
	parent.innerHTML = code;
}



//ajaxUrlPre + [page number] + ajaxUrlAfter

function handleAddToFavs(){
 	var success = getElementTextNS('success',req.responseXML,0);
	success = (parseInt(success) == 1) ? true : false;
	
	if(success)
	{
		if(favButtonObj = document.getElementById('favButton'))
			favButtonObj.innerHTML = '<img src="/img/gallery/in_faves.gif" width="68" height="18" alt="PIC IS IN FAVES" />';
			faveErrorObj = document.getElementById('faveError');
			faveErrorObj.style.display = 'none';

			// also add favorite flag to pics array
			var pic = pics[activePic];
			pic[3] = 1;
//			pics[activePic] = pic.join(',');	
	} 
	
	else
	{
		faveErrorObj = document.getElementById('faveError');
		var errorString = getElementTextNS('errorString',req.responseXML,0);
	 	faveErrorObj.innerHTML = errorString;
		faveErrorObj.style.display = 'block';
	}
}

function displayPhoto(state)
{
	var nextPic = activePic + 1;
	var pic = pics[activePic];
	var filename = pic[0];
	var imageWidth = parseInt(pic[1]);
	var imageHeight = parseInt(pic[2]);
	var favorite = parseInt(pic[3]);
	var gallery_title = pic[4];
	var gallery_subtitle = pic[5];
	var title = pic[6]
	var caption = pic[7];
	var id = pic[8];
	var title_link = pic[9];
	
	if(title_link){
		if((document.getElementById('galleryTitle').innerText.length > 0) && (gallery_title.length < 1)){
			gallery_title = document.getElementById('galleryTitle').innerText;
		}
		gallery_title = '<a href="'+title_link+'" onclick="main(this.href);return false;">'+gallery_title+'</a>';
	}
	//var isTour = (filename.indexOf('media/albums/2/41/1412/') > 0) ? true : false;

	if (nextPic >= pics.length) {
		var nextPic = 1;
	}

	var nextImage = pics[nextPic];
	var nextFilename = nextImage[0];
	var addWidth = 2;
	var addHeight = 105;
	

	if (imageWidth < minWidth)
	{
		addWidth += minWidth;
	}

	pageWidth = theWidth;
	pageHeight = theHeight;



	switch(state)
	{
		case 'init':
			//do nothing
		break;
	
		default:
			getObject('imageHolder').src = filename;
			getObject('nextImage').src = nextFilename;
		break;
	}
	
/*	resizeTo(pageWidth+50,pageHeight+200); */
	var galleryWidth = imageWidth + addWidth;
	var galleryHeight = imageHeight;
	setIdProperty('image','height',imageHeight + 'px');
	if(galleryHeight < minHeight){
		setIdProperty('image','height',minHeight + 'px');
	}	
	setIdProperty('image','width',imageWidth + 'px');
	setIdProperty('gallery','width',galleryWidth + 'px');
	if(imageWidth < minWidth){
		galleryWidth = addWidth;
		setIdProperty('left','width',minWidth + 'px');
		setIdProperty('gallery','width', galleryWidth + 'px');
	}
//	setIdProperty('image','width',imageWidth + addWidth + 'px');
//	setIdProperty('imageHolder','width',imageWidth + 'px');
//	setIdProperty('imageHolder','height',imageHeight + 'px');
//	var curHeight = getIdProperty('thumbs','height');
//	if(curHeight < galleryHeight && scrollHigh == 100){
//		alert('You will see pink!');
//	}
	
	if (gallery_title)
	{
		titleLabel = document.getElementById('galleryTitle');
		
		/*
		if(isTour){
			gallery_title = '<a href="/girls/'+title+'/" onclick="main(this.href); return false;" target="_blank">'+title+'</a>';
			gallery_subtitle = 'Tour';
			title = false;
			caption = false;
		}
		*/
		titleLabel.innerHTML = gallery_title;
	}
	if (gallery_subtitle){
		var subtitleLabel = document.getElementById('galleryTop').getElementsByTagName("div")[0].getElementsByTagName('P')[1];
		subtitleLabel.innerHTML = gallery_subtitle;
	}

	if ((caption && caption != '&#46;') || title)
	{
		captionLabel = document.getElementById("caption");
		captionLabel.innerHTML = '';
		if(title){
			captionLabel.innerHTML += '<h3>'+title+'</h3>';
		}
		
		if(caption){
			captionLabel.innerHTML += caption;
		}
		showHideDiv('caption','show');
	} else {
		showHideDiv('caption','hide');
	}
	
	if(favorite == 1){
		document.getElementById('favButton').innerHTML = '<img src="/img/gallery/in_faves.gif" width="68" height="18" alt="ALREADY IN FAVES" />';
	} else {
		document.getElementById('favButton').innerHTML = '<a class="add" href="#" onclick="addToFavs();return false;"><img src="/img/gallery/btn_add_fave_off.gif" width="68" height="18" alt="ADD PIC TO FAVES" /></a>';
	}
	
	
	document.getElementById('imageCounterCurrent').innerHTML = activePic;
/*
	for (x = 1; x < pics.length; x++)
	{
		showHideDiv('pic' + x, 'hide');
		getObject('pic' + x).style.color = '#333333';
	}
	showHideDiv('pic' + activePic,'show');
	getObject('pic' + activePic).style.color = '#d9518f';
*/	
		
}

function changePhoto(num)
{
	activePic = num;
	showHideDiv('thumbsContent','hide');
	showHideDiv('thumbsBG','hide');
	displayPhoto();

}

function setupGallery()
{
	//setBrowser();
	displayPhoto('init');
	
	if(section == 'photoset'){
		preloadGalleryImages();
	}	
}

function preloadGalleryImages(){
	var obj = document.getElementById('preloader');
	//alert(pics.length);
	for(i=1; i< pics.length; i++){
		var pic = document.createElement('img');
		pic.src = pics[i][0];
		obj.appendChild(pic);
	}
	//alert(obj.innerHTML);
}

function next()
{
	activePic++;
	if (activePic >= pics.length)
	{
		activePic = 1;
	}	
	displayPhoto();
}

function prev()
{
	activePic--;
	if (activePic < 1)
	{
		activePic = pics.length;
	}	
	displayPhoto();
}

function toggleAutoPlay()
{
	switch(autoPlayStatus)
	{
		case 'off':
			next();
			autoPlayButton = getObject('autoPlay');
			autoPlayButton.getElementsByTagName('img')[0].src = autoPlayButton.getElementsByTagName('img')[0].src.replace(/play/, 'pause');
			autoPlayButton.getElementsByTagName('img')[0].setAttribute('title', 'STOP AUTOPLAY');
			autoPlayButton.getElementsByTagName('img')[0].setAttribute('alt', 'STOP AUTOPLAY');
			autoPlayStatus = 'on';
			autoPlayTimer = window.setInterval('doAutoPlay()', playTime*1000);
		break;
		case 'on':
			autoPlayButton = getObject('autoPlay');
			autoPlayButton.getElementsByTagName('img')[0].src = autoPlayButton.getElementsByTagName('img')[0].src.replace(/pause/, 'play');
			autoPlayButton.getElementsByTagName('img')[0].setAttribute('title', 'START AUTOPLAY');
			autoPlayButton.getElementsByTagName('img')[0].setAttribute('alt', 'START AUTOPLAY');
			window.clearInterval(autoPlayTimer);
			autoPlayTimer = null;	
			autoPlayStatus = 'off';
		break;
	}
}

function doAutoPlay()
{
	if (activePic < pics.length)
	{
		next();
	}
}

function addToFavs()
{
	var addPath = '';
	var pic = pics[activePic];
	
	var filename = pic[0];
	var favoriteId = parseInt(pic[8]);
	var favorite = parseInt(pic[3]);
	
//	alert('0: ' + pic[0] + "\n1: " +pic[1] + "\n2: " +pic[2] + "\n3: " +pic[3] + "\n4: " +pic[4] + "\n5: " +pic[5] + "\n6: " +pic[6] + "\n7: " + pic[7] + "\n8: " + pic[8]);
	var imagePath = filename.split('/');
	var girl = imagePath[3];
	var setName = imagePath[5];
	var picName = favoriteId;
	
	if (!favorite) {
		loadDoc('/xml/pics/addFave/' + picName + '/', 1);
	}	
}

function slideThumbsDown(){
	if (scrollGoing) return;
	var scrollHigher = scrollHigh + scrollAmount;
	if(scrollHigher > 100){
		scrollHigher = 100;
	}
	if(scrollHigh == 100){
		return;
	}
	Effect.SlideDown('thumbsContent', {duration:2, scaleFrom:scrollHigh, scaleTo:scrollHigher});
	scrollHigh = scrollHigher;
	scrollLow = scrollHigh - scrollAmount;
	var tO_show = window.setTimeout('showThumbs()','2200');	
}

function slideThumbsUp(){
	if (scrollGoing) return;
	if(scrollLow < scrollAmount) { 
		scrollLow = scrollAmount; 
	}
	if(scrollLow == scrollHigh){
		if(scrollLow == 100){
			scrollLow -= scrollAmount;
		} else {
			return;
		}
	}
	Effect.SlideUp('thumbsContent', {duration:2, scaleFrom:scrollHigh, scaleTo:scrollLow});
	if(scrollLow == scrollAmount){
		scrollHigh = scrollAmount;
	} else {
		scrollLow -= scrollAmount;
		scrollHigh -= scrollAmount;
	}
	var tO_show = window.setTimeout('showThumbs()','2200');
}

function hideThumbsPages(){
/*	var parent = document.getElementById('thumbsContent');
	var divs = parent.getElementsByTagName('div');
	for (i=0; i<divs.length; i++){
		if (divs[i].className == 'thumbsPage'){
			showHideDiv(divs[i],'hide');
		}
	}
*/
alert('doh!');
}

function setActiveThumbBorder(){
	var thumb = document.getElementById('thumb'+activePic);
	thumb.style.borderColor = 'DD89A3';
}


function positionThumbs(){
	if(document.body.scrollTop){
		var obj = document.getElementById('thumbsContent');
		var posy = obj.style.marginTop;
		var newy = document.body.scrollTop + parseInt(posy) + 'px';
		obj.style.marginTop = newy;
	} else {
		var obj = document.getElementById('thumbsContent');
		if(parseInt(obj.style.marginTop) > -400){
			var newy = -400;
			newy = newy + 'px';
			obj.style.marginTop = newy;
		}
	}

}

function showThumbs(){

	

	//because IE is retarded
	var obj = getObject('thumbsContent');
	showHideDiv('thumbs', 'show');
	showHideDiv('thumbsContent', 'show');
}