<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

//Ham điều hướng nhưng trước khi điều hướng thì hiển thị một thông điệp
if(!function_exists('redirectMsg'))
{
	function redirectMsg($url, $msg)
	{
		echo '
		<html>
		<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title>Redirect</title>
		</head>
		<body>
		<noscript>
		<div align="center" style="font-weight: bold; color: blue; border: 1px dotted #FF6600; padding: 10px; margin-top: 200px; margin-left: 100px; margin-right: 100px;">'.$msg.'</div>
		<META HTTP-EQUIV=Refresh CONTENT="3; '.site_url($url).'/">
		</noscript>
		<script type="text/javascript">
			alert(\''.addslashes($msg).'\');
			window.location = \''.site_url($url).'\';
		</script>
		</body>
		</html>';
		exit();
	}
}
//Hàm điều hướng quay lại trang cũ
if(!function_exists('goback'))
{
	function goback()
	{
		echo '<script type="text/javascript">window.history.go(-1);</script>';
		exit();
	}
}
//Ham l lay ra 1 chuoi ngau nhien gom chu cai va so
if(!function_exists('randomText'))
{
	function randomText($leng)
	{
		$st = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
		$_return = '';
		for($i = 1; $i <= $leng; $i++)
		{
			$_return.=$st[rand(0, strlen($st) - 1)];
		}
		return $_return;
	}
}
//Ham chuyen 1 mang cac phan tu thanh integer - hay dung trong viec xoa du lieu
if(!function_exists('array_int'))
{
	function array_int($arr, $removeZero = true)
	{
		if(!is_array($arr)) return array();
		foreach($arr as $k => $v)
		{
			$arr[$k] = intval($v);
			if($removeZero == true && intval($v) == 0) unset($arr[$k]);
		}
		return $arr;
	}
}
//Hàm chuyển tất cả các phẩn tử của 1 mảng sang dữ liệu an toàn - hay dùng trong việc lấy dữ liệu post của form da ngôn ngữ
if(!function_exists('array_text'))
{
	function array_text($arr, $trim = true, $htmlspecialchars = true)
	{
		if(!is_array($arr)) return array();
		foreach($arr as $k => $v)
		{
			if($trim) $arr[$k] = trim($arr[$k]);
			if($htmlspecialchars) $arr[$k] = htmlspecialchars($arr[$k]);
		}
		return $arr;
	}
}
//Kiểm tra 1 chuỗi có đúng định dạng ngày hay ko - return false hoặc (int) thời gian
if(!function_exists('date_valid'))
{
	function date_valid($st, $delim = '-', $startDay = true, $comparToday = true)
	{
		$arr = explode($delim, $st);
		if(count($arr) != 3) return false;
		$day = intval($arr[0]);
		$month = intval($arr[1]);
		$year = intval($arr[2]);
		
		$stime = strtotime($month."/".$day."/".$year);
		
		$today = strtotime(gmdate("m/d/Y", time())) + 24*3600;
		
		if($day == 0 || $day > 31) return false;
		if($month == 0 || $month > 12) return false;
		if($year < 1970 || $year > 2100) return false;
		
		if($comparToday && $stime > $today) return false;

		$stime = ($startDay)?$stime:$stime + 24*3600;//Khi dùng hàm strtotime convert thì nó trả lại thời điểm đầu tiên của 1 ngày => muốn lấy thời điểm
		return $stime;
	}
}
//Kiểm tra 1 chuỗi có đúng định dạng ngày hay ko - return false hoặc (int) thời gian
if(!function_exists('base64_encode_fix'))
{
	function base64_encode_fix($st)
	{
		$st = base64_encode($st);
		$st = str_replace(array('/', '=', '+'), array('.', '_', ':'), $st);
		return $st;
	}
}
//Chuyển tiếng việt sang không dấu
if(!function_exists('vie2eng'))
{
	function vie2eng($st)
	{
		$vietChar 	= 'á|à|ả|ã|ạ|ă|ắ|ằ|ẳ|ẵ|ặ|â|ấ|ầ|ẩ|ẫ|ậ|é|è|ẻ|ẽ|ẹ|ê|ế|ề|ể|ễ|ệ|ó|ò|ỏ|õ|ọ|ơ|ớ|ờ|ở|ỡ|ợ|ô|ố|ồ|ổ|ỗ|ộ|ú|ù|ủ|ũ|ụ|ư|ứ|ừ|ử|ữ|ự|í|ì|ỉ|ĩ|ị|ý|ỳ|ỷ|ỹ|ỵ|đ|Á|À|Ả|Ã|Ạ|Ă|Ắ|Ằ|Ẳ|Ẵ|Ặ|Â|Ấ|Ầ|Ẩ|Ẫ|Ậ|É|È|Ẻ|Ẽ|Ẹ|Ê|Ế|Ề|Ể|Ễ|Ệ|Ó|Ò|Ỏ|Õ|Ọ|Ơ|Ớ|Ờ|Ở|Ỡ|Ợ|Ô|Ố|Ồ|Ổ|Ỗ|Ộ|Ú|Ù|Ủ|Ũ|Ụ|Ư|Ứ|Ừ|Ử|Ữ|Ự|Í|Ì|Ỉ|Ĩ|Ị|Ý|Ỳ|Ỷ|Ỹ|Ỵ|Đ';
		$engChar	= 'a|a|a|a|a|a|a|a|a|a|a|a|a|a|a|a|a|e|e|e|e|e|e|e|e|e|e|e|o|o|o|o|o|o|o|o|o|o|o|o|o|o|o|o|o|u|u|u|u|u|u|u|u|u|u|u|i|i|i|i|i|y|y|y|y|y|d|A|A|A|A|A|A|A|A|A|A|A|A|A|A|A|A|A|E|E|E|E|E|E|E|E|E|E|E|O|O|O|O|O|O|O|O|O|O|O|O|O|O|O|O|O|U|U|U|U|U|U|U|U|U|U|U|I|I|I|I|I|Y|Y|Y|Y|Y|D';
		$arrVietChar 	= explode("|", $vietChar);
		$arrEngChar		= explode("|", $engChar);
		return str_replace($arrVietChar, $arrEngChar, $st);
	}
}
//chuyen 1 chuoi sang dang url
if(!function_exists('string2url'))
{
	function string2url($st)
	{
		$st = vie2eng($st);
		$st = ereg_replace("[^a-zA-Z0-9 _.-]", false, $st);
		$st = str_replace(array('_', ' '), array('-', '-'), $st);
		$st = strtolower($st);
		return $st;
	}
}
//Chuyển những string kiểu link -> link
if(!function_exists('text2Link'))
{
	function text2Link($Text)
	{
		$OutPut = $Text;
		$OutPut = preg_replace("#(^|[\n ])([\w]+?://[\w\#$%&~/.\-;:=,?@\[\]+]*)#is", "\\1<a href=\"\\2\" target=\"_blank\">\\2</a>", $OutPut);
		$OutPut = preg_replace("#(^|[\n ])((www|ftp)\.[\w\#$%&~/.\-;:=,?@\[\]+]*)#is", "\\1<a href=\"http://\\2\" target=\"_blank\">\\2</a>", $OutPut);	
		$OutPut = preg_replace("#(^|[\n ])([a-z0-9&\-_.]+?)@([\w\-]+\.([\w\-\.]+\.)*[\w]+)#i", "\\1<a href=\"mailto:\\2@\\3\">\\2@\\3</a>", $OutPut);
		return $OutPut;
	}
}

//Kiểm tra 1 file nào đó có file là hình ảnh hay không - nếu đúng thì trả 1 mảng thông tin width, height, ext
if(!function_exists('is_image'))
{

	function is_image($file)
	{
		$arr = getimagesize($file);
		if(!$arr) return false;
				
		$jpg_mimes = array('image/jpg', 'image/jpe', 'image/jpeg', 'image/pjpeg');
		$gif_mimes = array('image/gif');
		$png_mimes = array('image/x-png', 'image/png');
		$swf_mimes = array('application/x-shockwave-flash');
		
		if(in_array($arr['mime'], $jpg_mimes)) return array('width' => $arr[0], 'height' => $arr[1], 'ext' => 'jpg');
		if(in_array($arr['mime'], $gif_mimes)) return array('width' => $arr[0], 'height' => $arr[1], 'ext' => 'gif');
		if(in_array($arr['mime'], $png_mimes)) return array('width' => $arr[0], 'height' => $arr[1], 'ext' => 'png');
		if(in_array($arr['mime'], $swf_mimes)) return array('width' => $arr[0], 'height' => $arr[1], 'ext' => 'swf');
		
		return array('width' => $arr[0], 'height' => $arr[1], 'ext' => '');
	}
}
?>