<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');
class Forgotpass_mod extends Module
{
	function Forgotpass_mod()
	{
		parent::Module();
		$this->load->language('admin');
	}
	function index()
	{
		$email = trim(htmlspecialchars($this->input->post('email')));
		$error = false;
		if($this->input->post('Submit'))
		{
			if(!$this->sys_user_model->checkEmailExists($email, 0))
				$error = $this->lang->line('admin_email_error');
			else
			{
				$row = $this->sys_user_model->getAccEmail($email);
				$newPass = randomText(5);
				$this->sys_user_model->changPass($row->username, md5($newPass));
				
				//Bắt đầu send mail
				$this->load->library('email');
				$this->email->initialize($this->config->item('send_mail'));
				
				$mail_profile = $this->config->item('mail_profile');
				$this->email->from($mail_profile['from_email'], $mail_profile['from_name']);
				$this->email->reply_to($mail_profile['reply_email'], $mail_profile['reply_name']);
				$this->email->to($email);
				$this->email->subject("Phục hồi tài khoản quản trị");
				$this->email->message($this->load->view('admin_forgot_mail', array('username' => $row->username, 'password' => $newPass)));
				
				$this->email->send();
				
				$error = $this->lang->line('admin_email_successfull');
			}
		
		}
		return $this->load->view('admin_forgotpass', array('error' => $error));
	}
}
?>