<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');
class User_mod extends Module
{
	var $arrPer = array();//mảng chưa các quyền
	function User_mod()
	{
		parent::Module();
		$this->load->language('user');
	}
	function index()
	{		
		//Load tat ca cac quyen
		$this->arrPer['group_add'] 		= true;
		$this->arrPer['group_edit'] 	= true;
		$this->arrPer['group_delete'] 	= true;
		$this->arrPer['user_add']		= true;
		$this->arrPer['user_edit'] 		= true;
		$this->arrPer['user_delete'] 	= true;
		$this->arrPer['user_key'] 		= true;
		$this->arrPer['change_per'] 	= true;
		
		$mainContent = false;
		$task = false;
		$param = $this->uri->segment(3);
		switch($param)
		{
			case "add":
				$mainContent = $this->_addUser();
				$task = $this->lang->line('user_add_label');
				break;
			case "edit":
				$mainContent = $this->_addUser();
				$task = $this->lang->line('user_edit_label');
				break;
			case "delete":
				$this->_deleteUser();
				break;
			case "lockUser":
				$this->_lockUser();
				break;
			case "unlockUser":
				$this->_unlockUser();
				break;
			default://List
				$task = 'Danh sách tài khoản';
				$mainContent = $this->_listUser();
				break;
		}
		
		return $this->load->view('user_bar', array('task' => $task, 'arrPer' => $this->arrPer)).$mainContent;
	}
	function _listUser()
	{
		return $this->load->view('user_list', array('query' => $this->sys_user_model->getListAll(), 'arrPer' => $this->arrPer));
	}
	function _addUser()
	{
		$id = ($this->uri->segment(3) == 'edit')?intval($this->uri->segment(4)):0;
		$group_id = intval($this->input->post('group_id'));
		$username = trim(htmlspecialchars($this->input->post('username')));
		$password = $this->input->post('password');
		$passconfirm = $this->input->post('passconfirm');
		$email = trim(htmlspecialchars($this->input->post('email')));
		$fullname = trim(htmlspecialchars($this->input->post('fullname')));
		$phone = trim(htmlspecialchars($this->input->post('phone')));
		$note = trim(htmlspecialchars($this->input->post('note')));
		
		$status = 1;
		$create_id = $this->config->item('admin_user_id');
		$create_date = time() + $this->config->item('time_gmt');
		$last_login_date = time() + $this->config->item('time_gmt');
		
		$error = false;
		if($this->input->post('Submit'))
		{
			if(!$this->validation->required($fullname)) $error.=$this->lang->line('user_error_fullname');
			if(!$this->validation->min_length($username, 5) || !$this->validation->alpha_dash($username) || $this->sys_user_model->checkAccExists($username, $id)) $error.=$this->lang->line('user_error_username');
			if($this->uri->segment(3) == 'add' || $password != '')//Trường hợp thêm tài khoản mới hoặc chỉnh sửa tài khoản mà có nhập lại mật khẩu
				if(!$this->validation->min_length($password, 5)) $error.=$this->lang->line('user_error_password');
			if($password != $passconfirm) $error.=$this->lang->line('user_error_passconfirm');
			if(!$this->validation->required($email) || !$this->validation->valid_email($email) || $this->sys_user_model->checkEmailExists($email, $id)) $error.=$this->lang->line('user_error_email');
			
			if(!$error)
			{
				if($this->uri->segment(3) == 'add')
				{
					$this->sys_user_model->insert($username, $password, $email, $phone, $fullname, $note, $status, $create_date, $create_id, $last_login_date, $group_id);
					
					$username = '';
					$password = '';
					$passconfirm = '';
					$email = '';
					$fullname = '';
					$phone = '';
					$note = '';
					
					$error = $this->lang->line('user_successfull');
				}
				else
				{
					$this->sys_user_model->update($id, $username, $password, $email, $phone, $fullname, $note, $group_id);
					
				}
				redirect($this->uri->segment(1).'/'.$this->uri->segment(2).'/listUser/');
			}
		}
		else if($this->uri->segment(3) == 'edit')
		{
			$row = $this->sys_user_model->getAccID($id);
			if(!$row) show_404();
			$username = $row->username;
			$email = $row->email;
			$fullname = $row->fullname;
			$phone = $row->phone;
			$note = $row->note;
			
		}
		
		$submit_label = ($this->uri->segment(3) == "edit")?$this->lang->line('edit_label'):$this->lang->line('add_label');
		$data = array
			(				
				'username' 	=> $username,
				'email' 	=> $email,
				'fullname' 	=> $fullname,
				'phone' 	=> $phone,
				'note' 		=> $note,
				'submit_label' 	=> $submit_label,
				'error'			=> $error
			);
		return $this->load->view('user_form', $data);
	}
	function _deleteUser()
	{
		$id = intval($this->uri->segment(4));
		$row = $this->sys_user_model->getAccID($id);
		if(!$row) show_404();
		
		$arr = explode('_', $this->uri->segment(4));
		
		foreach($arr as $key => $value)
		{
			$arr[$key] = intval($value);
		}
		array_push($arr, 0);
		$this->sys_user_model->delete($arr);
		redirect($this->uri->level(2).'/listUser/');
	}
	function _lockUser()
	{
		$id = intval($this->uri->segment(4));
		$row = $this->sys_user_model->getAccID($id);
		if(!$row) show_404();
		$this->sys_user_model->lockUser($id);
		redirect($this->uri->segment(1).'/'.$this->uri->segment(2).'/listUser/'.$row->group_id);
	}
	function _unlockUser()
	{
		$id = intval($this->uri->segment(4));
		$row = $this->sys_user_model->getAccID($id);
		if(!$row) show_404();
		$this->sys_user_model->lockUser($id, false);
		redirect($this->uri->segment(1).'/'.$this->uri->segment(2).'/listUser/'.$row->group_id);
	}
}
?>