<?
/*
Tên lớp		:dropMenu
Chức năng	:Tạo Drop Menu css
Hoàn thành	: 12/3/2008
Người viết	: Lê Trọng Bằng
Email		: sincos_net@yahoo.com
*/
class dropMenu
{
	var $cssFile 	= 'dropMenu.css';
	var $arrMenu	= array();
	function dropMenu($cssFile = 'dropMenu.css')
	{
		$this->cssFile = $cssFile;
	}
	function add($menuID, $menuTitle, $menuLink, $menuIcon, $menuParent = 0)
	{
		$arr['menuTitle'] = $menuTitle;
		$arr['menuLink'] = $menuLink;
		$arr['menuIcon'] = $menuIcon;
		$arr['menuParent'] = $menuParent;
		$this->arrMenu[$menuID] = $arr;
	}
	//Kiem tra 1 menu nao do co phai menu cha hay ko - co chua menu con
	function _checkParent($menuID)
	{
		
		foreach($this->arrMenu as $key => $menu)
		{
			if($menu['menuParent'] == $menuID) 
				{
					//echo $menuID;
					//exit();
					return true;
				}
		}
		return false;
	}
	//Lay cap menu
	function _getLevel($menuParent)
	{
		$_level = 0;
		foreach($this->arrMenu as $key => $value)
		{
			if($key == $menuParent)
			{
				$_level = (1 + $this->_getLevel($this->arrMenu[$key]['menuParent']));
			}
		}
		return $_level;
	}
	function _getMenu($menuParent = 0)
	{
		//echo $this->_getLevel(10);
		//exit();
	
		$_return = false;
		if($menuParent > 0)
		{
			if($this->_getLevel($menuParent) > 1)
			{
				$_return.='<!--[if lte IE 6]><table><tr><td><![endif]--><ul>'."\n";	
			}
			else
			{
				$_return.='<!--[if lte IE 6]><table><tr><td><![endif]--><ul  class="sub">'."\n";
			}
		}
		
		foreach($this->arrMenu as $key => $value)
			{
			if($this->arrMenu[$key]['menuParent'] == $menuParent)
				{
					if($this->arrMenu[$key]['menuParent'] == 0)
					{
						if($this->_checkParent($key))//La menu goc va co chua cac menu con
						{
							$_return.='<li class="top"><a href="'.$this->arrMenu[$key]['menuLink'].'" class="top_link"><b class="b_top" style="background:transparent url('.$this->arrMenu[$key]['menuIcon'].') no-repeat center center;"></b><span class="span_top drop">'.$this->arrMenu[$key]['menuTitle'].'</span><!--[if IE 7]><!--></a><!--<![endif]-->'."\n";
							$_return.=$this->_getMenu($key);
							$_return.='</li>'."\n";
						}	
						else//Chi co duy nhat 1 menu goc
						{
							$_return.='<li class="top"><a href="'.$this->arrMenu[$key]['menuLink'].'" class="top_link"><b class="b_top" style="background:transparent url('.$this->arrMenu[$key]['menuIcon'].') no-repeat center center;"></b><span class="span_top">'.$this->arrMenu[$key]['menuTitle'].'</span></a></li>'."\n";
						}	
					}
					else
					{
						if($this->_checkParent($key))//La menu goc va co chua cac menu con
						{
							$_return.='<li><a href="'.$this->arrMenu[$key]['menuLink'].'" class="fly"><b style="background:transparent url('.$this->arrMenu[$key]['menuIcon'].') no-repeat center center;"></b><span class="p1">'.$this->arrMenu[$key]['menuTitle'].'</span><!--[if IE 7]><!--></a><!--<![endif]-->'."\n";
							$_return.=$this->_getMenu($key);
							$_return.='</li>'."\n";
						}
						else
							$_return.='<li><a href="'.$this->arrMenu[$key]['menuLink'].'"><b style="background:transparent url('.$this->arrMenu[$key]['menuIcon'].') no-repeat center center;"></b><span class="p1">'.$this->arrMenu[$key]['menuTitle'].'</span></a></li>'."\n";	
					}
				}
			}
		if($menuParent > 0) $_return.='</ul><!--[if lte IE 6]></td></tr></table></a><![endif]-->'."\n";
		return $_return;
	}
	function getMenu()
	{
		$_return = '<link href="'.$this->cssFile.'" rel="stylesheet" type="text/css" />'."\n";
		$_return.= '<div id="multi-level"><ul class="menu">'."\n";
		$_return.=$this->_getMenu();
		$_return.= '</ul></div>'."\n";
		return $_return;
	}
}
?>