<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');
class App_gallery_pic_model extends Model
{
	function App_gallery_pic_model()
	{
		parent::Model();
	}
	function insert($file_title, $file_name, $file_date, $cat_id)
	{
		$this->db->set('file_title', $file_title);
		$this->db->set('file_name', $file_name);
		$this->db->set('file_date', $file_date);
		$this->db->set('cat_id', $cat_id);
		
		$this->db->insert('app_gallery_pic');
		return $this->db->insert_id();
	}
	function update($id, $file_title, $file_name, $cat_id)
	{
		$this->db->set('file_title', $file_title);
		$this->db->set('file_name', $file_name);
		$this->db->set('cat_id', $cat_id);
		
		$this->db->where('id', $id);
		$this->db->update('app_gallery_pic');	
	}
	function delete($arrID)
	{
		$this->db->where_in('id', $arrID);
		$this->db->delete('app_gallery_pic');
	}
	function getCount($cat_id)
	{
		$this->db->from('app_gallery_pic');
		if($cat_id > 0) $this->db->where('cat_id', $cat_id);
		return $this->db->count_all_results();
	}
	function getList($cat_id, $start, $num)
	{
		$this->db->from('app_gallery_pic');
		if($cat_id > 0) $this->db->where('cat_id', $cat_id);
		$this->db->order_by('id', 'DESC');
		$this->db->limit($num, $start);
		return $this->db->get();
	}
	function getArr($arrID)
	{
		$this->db->from('app_gallery_pic');
		$this->db->where_in('id', $arrID);
		return $this->db->get();
	}
	function getOne($id)
	{
		$this->db->from('app_gallery_pic');
		$this->db->where('id', $id);
		$query = $this->db->get();
		if($query->num_rows() == 0) return false;
		$row = $query->row();
		$query->free_result();
		return $row;
	}
}
?>